﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace CommonStorage.Model
{
    /// <summary>
    /// 程序配置项
    /// </summary>
    [Table("app_configs")]
    public class AppConfig
    {
        /// <summary>
        /// ID
        /// </summary>
        [Key]
        public long ID { get; set; }
        /// <summary>
        /// 应用名称
        /// </summary>
        public string App { get; set; }
        /// <summary>
        /// 段
        /// </summary>
        public string Session { get; set; }
        /// <summary>
        /// 键
        /// </summary>
        public string Key { get; set; }
        /// <summary>
        /// 值
        /// </summary>
        public string Value { get; set; }
    }
}
