﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace CommonStorage.Model
{
    /// <summary>
    /// 测试配置项
    /// </summary>
    [Table("tps_configs")]
    public class TpsConfig
    {
        /**[JsonConverter(typeof(LongToStringConverter))]*/
        /// <summary>
        /// ID
        /// </summary>
        [Key]
        public long ID { get; set; }
        /// <summary>
        /// 产品代号
        /// </summary>
        public string ProductCode { get; set; }

        /// <summary>
        /// 测试程序名称
        /// </summary>
        public string TpsName { get; set; }

        /// <summary>
        /// 试验项目
        /// </summary>
        public string TestProject { get; set; }

        /// <summary>
        /// 指标项目
        /// </summary>
        public string TestItem { get; set; }

        /// <summary>
        /// 配置数据的表格，是List<list<ValueItem>>序列化的字符串
        /// </summary>
        public string Values { get; set; }

    }
}
